Press "Enter" to skip to content

Hướng dẫn cập nhật bản vá Apache 2.4.39


  103 lượt xem

Tuần vừa qua Apache đã cập nhật bản vá bảo mật nguy hiểm cho các phiên bản web hosting từ 2.4.17 đến 2.4.38. Đây là lỗi cực kỳ nguy hiểm cho phép kẻ tấn cống có khả năng chiếm quyền root (đặc biệt là các máy chủ sử dụng cho dịch vụ Web Hosting). Lỗi này ảnh hưởng đến các máy chủ sử dụng hệ điều hành Linux đang sử dụng Apache có version 2.4. Hiện đã có bản vá Apache 2.4.39 mới nhất để xử lý lỗi. Bạn cần update ngay hệ thống để đảm bảo an toàn cho máy chủ của mình.

Áp dụng cho các bạn sử dụng VPS/Server triển khai theo template của SuperHost.

A. Cpanel:

1. Chạy lệnh:

yum clean all; yum update;

2. Check lại:

httpd -v
Server version: Apache/2.4.39 (Cpanel)

B. Directadmin:

1. Chạy lệnh

httpd -v
Server version: Apache/2.4.xx

Xem version mình có đang là 2.4.xx hay không? Nếu đúng nằm ở version này chạy lệnh

cd /usr/local/directadmin/custombuild
./build update
./build apache
./build php n

2. Check lại
httpd -v
Server version: Apache/2.4.39

Xem thêm tại :
https://www.apache.org/dist/httpd/Announcement2.4.html

https://www.zdnet.com/article/apache-web-server-bug-grants-root-access-on-shared-hosting-environments/

Leave a Reply

avatar
Scroll Up